# Performance

Flush WordPress cache and regenerate permalink rewrite rules.

Requires the WordPress Toolkit add-on.

Base path: .../wordpress-toolkit


# Flush Rewrite Rules

Regenerate WordPress permalink rewrite rules.

# HTTP Request:

PATCH https://api.serveravatar.com/organizations/{organization}/servers/{server}/applications/{application}/wordpress-toolkit/rewrite/flush

# Curl Request Example:

curl --request PATCH \
  --url "https://api.serveravatar.com/organizations/5/servers/15/applications/93/wordpress-toolkit/rewrite/flush" \
  --header 'content-type: application/json' \
  --header 'Authorization: <YOUR API TOKEN>'

# Response:

# Successful Response

  • 200 (Ok)
{
  "response": {
    "message": "Rewrite rules flushed successfully",
    "status": "success"
  }
}

# Validation Error

  • 422 (Unprocessable Entity)

# Server Error

  • 500 (Internal Server Error)

# Flush Cache

Flush WordPress object/page cache where supported.

# HTTP Request:

PATCH https://api.serveravatar.com/organizations/{organization}/servers/{server}/applications/{application}/wordpress-toolkit/cache/flush

No request body required.

# Curl Request Example:

curl --request PATCH \
  --url "https://api.serveravatar.com/organizations/5/servers/15/applications/93/wordpress-toolkit/cache/flush" \
  --header 'content-type: application/json' \
  --header 'Authorization: <YOUR API TOKEN>'

# Response:

# Successful Response

  • 200 (Ok)
{
  "response": {
    "message": "Cache flushed successfully",
    "status": "success"
  }
}

# Validation Error

  • 422 (Unprocessable Entity)

# Server Error

  • 500 (Internal Server Error)
Last Updated: 5/19/2026, 9:56:51 AM